<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "patientemail_communications".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "PatientemailCommunications".
 *
 * Columns in table "patientemail_communications" available as properties of the model,
 * followed by relations of table "patientemail_communications" available as properties of the model.
 *
 * @property integer $id
 * @property integer $patientemail_id
 * @property integer $communication_id
 * @property string $communication_table
 *
 * @property Patientemail $patientemail
 */
abstract class BasePatientemailCommunications extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'patientemail_communications';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'PatientemailCommunications|PatientemailCommunications', $n);
    }

    public static function representingColumn()
    {
        return 'communication_table';
    }

    public function rules()
    {
        return array(
            array('patientemail_id, communication_id', 'required'),
            array('patientemail_id, communication_id', 'numerical', 'integerOnly' => true),
            array('communication_table', 'length', 'max' => 19),
            array('communication_table', 'default', 'setOnEmpty' => true, 'value' => null),
            array('id, patientemail_id, communication_id, communication_table', 'safe', 'on' => 'search'),
        );
    }

    public function relations()
    {
        return array(
            'patientemail' => array(self::BELONGS_TO, 'Patientemail', 'patientemail_id'),
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'patientemail_id' => null,
            'communication_id' => Yii::t('app', 'Communication'),
            'communication_table' => Yii::t('app', 'Communication Table'),
            'patientemail' => null,
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id);
        $criteria->compare('patientemail_id', $this->patientemail_id);
        $criteria->compare('communication_id', $this->communication_id);
        $criteria->compare('communication_table', $this->communication_table, true);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria,
        ));
    }

}
